Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class AstBrowserUiPreferences

    java.lang.Object
      groovy.inspect.swingui.AstBrowserUiPreferences

    class AstBrowserUiPreferences

This class sets and restores control positions in the browser.

Authors:
  Hamlet D'Arcy

Property Summary
`int` | `decompiledSourceFontSize`
`java.lang.Object` | `frameLocation`
`java.lang.Object` | `frameSize`
`java.lang.Object` | `horizontalDividerLocation`
`CompilePhaseAdapter` | `selectedPhase`
`boolean` | `showScriptClass`
`boolean` | `showScriptFreeForm`
`boolean` | `showTreeView`
`java.lang.Object` | `verticalDividerLocation`

Constructor Summary
`AstBrowserUiPreferences()`

Method Summary
`java.lang.Object` | `save(java.lang.Object frame, java.lang.Object vSplitter, java.lang.Object hSplitter, java.lang.Object scriptFreeFormPref, java.lang.Object scriptClassPref, CompilePhaseAdapter phase, java.lang.Object showTreeView)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### decompiledSourceFontSize

    int decompiledSourceFontSize

### frameLocation

    final java.lang.Object frameLocation

### frameSize

    final java.lang.Object frameSize

### horizontalDividerLocation

    final java.lang.Object horizontalDividerLocation

### selectedPhase

    final CompilePhaseAdapter selectedPhase

### showScriptClass

    final boolean showScriptClass

### showScriptFreeForm

    final boolean showScriptFreeForm

### showTreeView

    final boolean showTreeView

### verticalDividerLocation

    final java.lang.Object verticalDividerLocation

Constructor Detail

### AstBrowserUiPreferences

    AstBrowserUiPreferences()

Method Detail

### save

    java.lang.Object save(java.lang.Object frame, java.lang.Object vSplitter, java.lang.Object hSplitter, java.lang.Object scriptFreeFormPref, java.lang.Object scriptClassPref, CompilePhaseAdapter phase, java.lang.Object showTreeView)

Groovy Documentation